Bug 230485 - lang/gcc6-aux: fix build on aarch64
Summary: lang/gcc6-aux: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Many People
Assignee: Eric Turgeon
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-08-09 16:43 UTC by mikael.urankar
Modified: 2018-11-19 13:10 UTC (History)
3 users (show)

See Also:
ericbsd: maintainer-feedback+


Attachments
patch (1.85 KB, patch)
2018-08-09 16:43 UTC, mikael.urankar
no flags Details | Diff
patch (1.34 KB, patch)
2018-11-14 11:30 UTC, mikael.urankar
ericbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Eric Turgeon freebsd_committer 2018-08-09 18:09:38 UTC
You did not change MAIN_PR to 1 for PORTREVISION, I did it for you for this time, but please next time don't forget to update PORTREVISION.

I am waiting for approval from my mentor https://reviews.freebsd.org/D16651.
Comment 2 mikael.urankar 2018-08-23 09:47:49 UTC
Any news from your mentor?
Comment 3 commit-hook freebsd_committer 2018-08-27 13:45:07 UTC
A commit references this bug:

Author: ericbsd
Date: Mon Aug 27 13:44:14 UTC 2018
New revision: 478204
URL: https://svnweb.freebsd.org/changeset/ports/478204

Log:
  lang/gcc6-aux: fix build on aarch64

  PR:		230485
  Submitted by:	mikael.urankar
  Reported by:	mikael.urankar
  Approved by:	bapt

Changes:
  head/lang/gcc6-aux/Makefile
  head/lang/gcc6-aux/distinfo
Comment 4 mikael.urankar 2018-08-27 14:04:28 UTC
Ooops, the bootstraps are fetched from http://downloads.dragonlace.net, I thought they were hosted on FreeBSD "distfiles".
Do you have a way to contact marino@ so he can update the bootstrap on his side?
Comment 5 Eric Turgeon freebsd_committer 2018-08-27 14:21:34 UTC
(In reply to mikael.urankar from comment #4)

I did send him an email.
Comment 6 Eric Turgeon freebsd_committer 2018-08-27 14:30:53 UTC
So the answer is:

"I can't update the bootstrap because FreeBSD kicked me out.  I have no access to aarch64 hardware.
I already said how this could be fixed multiple times:
When the bootstrap is extracted, the fixed-include headers need to be removed.  Then (I assume) everything will build again.

That fix is simple, yet nobody has even attempted it as far as I know."

I have also no access to aarch64 I can't do that.
Comment 7 mikael.urankar 2018-08-27 19:03:27 UTC
(In reply to Eric Turgeon from comment #6)
He only has to grab my bootstrap and host them on his website. If he doesn't want to do it, can we put them on distcache/distfiles?
Comment 8 mikael.urankar 2018-09-06 15:13:13 UTC
Reopening,
I would really like to have this package on aarch64, is it possible to host the bootstrap on LOCAL/ericbsd?
Comment 9 Jamie Landeg-Jones 2018-09-08 15:28:37 UTC
I maintain some of the gnat* ports, and have been mirroring the relevant dragonlace stuff here, in case it gets deleted:

http://ftp.dyslexicfish.net/FreeBSD/distfiles/downloads.dragonlace.net/src/

ftp://ftp.dyslexicfish.net/FreeBSD/distfiles/downloads.dragonlace.net/src/

I'm happy to host those files there.
Comment 10 mikael.urankar 2018-10-24 15:23:37 UTC
ping
Comment 11 Eric Turgeon freebsd_committer 2018-10-25 13:19:35 UTC
Sorry for the delay, I had so much to do and forgot about that until I see the ping this morning.

We can probably put on distcache/distfiles I am just not sure how to do it. I will have to ask.
Comment 12 Baptiste Daroussin freebsd_committer 2018-11-11 12:48:10 UTC
just host it in your public_distfiles directory on freefall that should be enough
then for the distfile list:

LOCAL/ericbsd

It should do the trick
Comment 13 Eric Turgeon freebsd_committer 2018-11-13 12:23:29 UTC
Thanks, Baptiste!
Comment 14 Eric Turgeon freebsd_committer 2018-11-13 13:10:16 UTC
Mikael, I have put the file in my LOCAL/ericbsd should be available now.
Comment 15 mikael.urankar 2018-11-14 11:30:06 UTC
Created attachment 199232 [details]
patch

(In reply to Eric Turgeon from comment #14)
Thanks, here is an updated patch.
Comment 16 commit-hook freebsd_committer 2018-11-19 12:49:29 UTC
A commit references this bug:

Author: ericbsd
Date: Mon Nov 19 12:48:31 UTC 2018
New revision: 485323
URL: https://svnweb.freebsd.org/changeset/ports/485323

Log:
  lang/gcc6-aux: fix build on aarch64

  PR:		230485
  Submitted by:	mikael.urankar@gmail.com
  Reported by:	mikael.urankar@gmail.com

Changes:
  head/lang/gcc6-aux/Makefile
  head/lang/gcc6-aux/distinfo
Comment 17 mikael.urankar 2018-11-19 13:10:18 UTC
many thanks!